#ifndef _MAIN_DIALOG_H_
#define _MAIN_DIALOG_H_

#include "Dialog.h"
#include "Taskbar3.h"

class MainDialog : public Dialog
{
public:
	MainDialog(UINT idResource);
	~MainDialog(void);

	virtual BOOL DoModeless(HWND hParent = NULL, int nCmdShow = SW_SHOW);

protected:
	ULONG_PTR gdiToken;
	Taskbar3 taskbar;
	UINT_PTR timerID;

	INT_PTR CALLBACK DlgProc( UINT uMsg, WPARAM wParam, LPARAM lParam );
	BOOL InitInstance( HWND hParent = NULL );
	void InsertSystemMenu(void);

	BOOL Cls_OnInitDialog(HWND hwnd, HWND hwndFocus, LPARAM lParam);
	void Cls_OnSysCommand(HWND hwnd, UINT cmd, int x, int y);
	void Cls_OnCommand(HWND hwnd, int id, HWND hwndCtl, UINT codeNotify);
	void Cls_OnDestroy(HWND hwnd);
	void Cls_OnTimer(HWND hwnd, UINT id);
	void Cmd_OnBtnBadge(void);
	void Cmd_OnBtnProgress(void);
	void Cmd_OnBtnFlash(void);
};

#endif//_MAIN_DIALOG_H_
